org.apache.http.conn

## Class BasicManagedEntity

- java.lang.Object
- - org.apache.http.entity.HttpEntityWrapper
  - - org.apache.http.conn.BasicManagedEntity

- All Implemented Interfaces:
    ConnectionReleaseTrigger ， EofSensorWatcher ， HttpEntity

  已过时。
  （4.3）不要使用。

      @Deprecated
      public class BasicManagedEntity
      extends HttpEntityWrapper
      implements ConnectionReleaseTrigger, EofSensorWatcher

  释放`connection`的实体。 A `ManagedClientConnection`通常不会返回被管实体，但您可以使用受管实体替换响应中的非托管实体。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `attemptReuse` 已过时。 是否保持连接活着。
    `protected ManagedClientConnection` | `managedConn` 已过时。 要释放的连接。

    - ### Fields inherited from class org.apache.http.entity.HttpEntityWrapper

      `wrappedEntity`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `BasicManagedEntity(HttpEntity entity, ManagedClientConnection conn, boolean reuse)` 已过时。 创建一个可以释放连接的新管理实体。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abortConnection()` 已过时。 释放连接而不选择保持活动。
    `void` | `consumeContent()` 已过时。 （4.1）使用`EntityUtils.consume(HttpEntity)`
    `boolean` | `eofDetected(InputStream wrapped)` 已过时。 表示检测到EOF。
    `InputStream` | `getContent()` 已过时。
    `boolean` | `isRepeatable()` 已过时。
    `void` | `releaseConnection()` 已过时。 释放与keep-alive选项的连接。
    `protected void` | `releaseManagedConnection()` 已过时。 正确释放连接。
    `boolean` | `streamAbort(InputStream wrapped)` 已过时。 表示`stream`中止了。
    `boolean` | `streamClosed(InputStream wrapped)` 已过时。 表示`stream`已关闭。
    `void` | `writeTo(OutputStream outstream)` 已过时。

    - ### Methods inherited from class org.apache.http.entity.HttpEntityWrapper

      `getContentEncoding, getContentLength, getContentType, isChunked, isStreaming`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### managedConn

          protected ManagedClientConnection managedConn

      已过时。
      要释放的连接。

    - #### attemptReuse

          protected final boolean attemptReuse

      已过时。
      是否保持连接活着。

  - ### 构造方法详细信息

    - #### BasicManagedEntity

          public BasicManagedEntity(HttpEntity entity,
                            ManagedClientConnection conn,
                            boolean reuse)

      已过时。
      创建一个可以释放连接的新管理实体。
      参数
        `entity` - 包装内容的实体。 请注意，以后不能再使用参数实体，因为内容将被该被管实体采用。
        `conn` - 要发布的连接
        `reuse` - 连接是否应重新使用

  - ### 方法详细信息

    - #### isRepeatable

          public boolean isRepeatable()

      已过时。
      Specified by:
        `isRepeatable`在接口 `HttpEntity`
      重写：
        `isRepeatable`在 `HttpEntityWrapper`

    - #### getContent

          public InputStream getContent()
                                 throws IOException

      已过时。
      Specified by:
        `getContent`在接口 `HttpEntity`
      重写：
        `getContent`在 `HttpEntityWrapper`
      异常
        `IOException`

    - #### consumeContent

          @Deprecated
          public void consumeContent()
                              throws IOException

      已过时。 （4.1）使用`EntityUtils.consume(HttpEntity)`
      Specified by:
        `consumeContent`在接口 `HttpEntity`
      重写：
        `consumeContent`在 `HttpEntityWrapper`
      异常
        `IOException`

    - #### writeTo

          public void writeTo(OutputStream outstream)
                       throws IOException

      已过时。
      Specified by:
        `writeTo`在接口 `HttpEntity`
      重写：
        `writeTo`在 `HttpEntityWrapper`
      异常
        `IOException`

    - #### releaseConnection

          public void releaseConnection()
                                 throws IOException

      已过时。
      描述从接口`ConnectionReleaseTrigger`复制
      释放与keep-alive选项的连接。 这是一个“优雅”版本，可能导致IO操作用于消耗响应实体的其余部分。 使用`abortConnection`进行硬释放。 连接可以按照持续时间指定重新使用。
      Specified by:
        `releaseConnection`在接口 `ConnectionReleaseTrigger`
      异常
        `IOException` - 在IO问题的情况下。 连接将会被释放。

    - #### abortConnection

          public void abortConnection()
                               throws IOException

      已过时。
      描述从接口`ConnectionReleaseTrigger`复制
      释放连接而不选择保持活动。 这是一个“硬”版本，意味着关闭连接。 使用`ConnectionReleaseTrigger.releaseConnection()`进行优雅的发布。
      Specified by:
        `abortConnection`在接口 `ConnectionReleaseTrigger`
      异常
        `IOException` - 在IO问题的情况下。 连接将会被释放。

    - #### eofDetected

          public boolean eofDetected(InputStream wrapped)
                              throws IOException

      已过时。
      描述从接口`EofSensorWatcher`复制
      表示检测到EOF。
      Specified by:
        `eofDetected`在接口 `EofSensorWatcher`
      参数
        `wrapped` - 达到EOF的底层流
      结果
        `true`如果 `wrapped`应该关闭， `false`如果应该单独
      异常
        `IOException` - 在IO问题的情况下，例如，如果观察者本身关闭底层流。 呼叫者将离开包裹的流，就像`false`被返回。

    - #### streamClosed

          public boolean streamClosed(InputStream wrapped)
                               throws IOException

      已过时。
      描述从接口`EofSensorWatcher`复制
      表示`stream`关闭。 只有在关闭之前未检测到EOF，才会调用此方法。 否则， `eofDetected`被调用。
      Specified by:
        `streamClosed`在接口 `EofSensorWatcher`
      参数
        `wrapped` - 尚未达到EOF的基础流
      结果
        `true`如果 `wrapped`应该关闭， `false`如果应该单独
      异常
        `IOException` - 在IO问题的情况下，例如，如果观察者本身关闭底层流。 呼叫者将离开包裹的流，就像`false`回`false` 。

    - #### streamAbort

          public boolean streamAbort(InputStream wrapped)
                              throws IOException

      已过时。
      说明从界面： `EofSensorWatcher`复制
      表示`stream`中止了。 只有在中止前未检测到EOF，才会调用此方法。 否则， `eofDetected`被调用。

      当输入操作导致抛出IOException以确保输入流被关闭时，也会调用此方法。

      Specified by:
        `streamAbort`在接口 `EofSensorWatcher`
      参数
        `wrapped` - 尚未达到EOF的基础流
      结果
        `true`如果 `wrapped`应该关闭， `false`如果应该单独
      异常
        `IOException` - 在IO问题的情况下，例如，如果观察者本身关闭底层流。 呼叫者将独自离开包裹的流，就好像`false`被返回。

    - #### releaseManagedConnection

          protected void releaseManagedConnection()
                                           throws IOException

      已过时。
      正确释放连接。 连接属性将被取消。 随后的调用是no-ops。
      异常
        `IOException` - 在IO问题的情况下。 连接属性将无效。

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585